Jul 29, 2016

Terminix Now Available In PPA For Ubuntu 16.04 And Linux Mint 18 [Quick Update]

Terminix GTK3 terminal emulator

Terminix (and its dependencies: ldc 1.1.0 and gtk-d) was uploaded to the Debian Sid repositories recently. To make it easier to install and stay up to date with the latest Terminix versions, I used the official Debian packaging (thanks to the packagers!) and created a Terminix PPA for Ubuntu 16.04 and Linux Mint 18.

Ubuntu 16.10 Yakkety Yak did not yet import ldc 1.1.0 from Debian, required to build Terminix, and it failed to build in my PPA for Yakkety (probably that's why it's not in Yakkety yet). Also, since Terminix requires GTK 3.14, it can't be built for Ubuntu 14.04.

I should also mention that there was an attempt to create a snap package for Terminix, but without success so far.

In case you're not familiar with Terminix, this is a GTK3 tiling terminal emulator that allows splitting terminals horizontally and vertically, and rearrange them using drag and drop. The layouts can be saved and restored. For more information about Terminix, see our initial article. Also check out its GitHub page.

To add the WebUpd8 Terminix PPA and install the app in Ubuntu 16.04, Linux Mint 18, and derivatives (32bit + 64bit), use the following commands:
sudo add-apt-repository ppa:webupd8team/terminix
sudo apt update
sudo apt install terminix
Extra tip: For additional Terminix themes, see THIS page.


via Web Upd8 - Ubuntu / Linux blog http://ift.tt/2aj7gmS